Delete Lightning Experience Event Series
Get an Image from a Rich Text Area Field
Insert or Update Blob Data
Get Blob Data
Generating an OpenAPI 3.0 Document for sObjects REST API (Beta)
Previous Versions
Use the HTTP DELETE method to remove one or more IsRecurrence2 events in a series. You can remove a single event, all events following and including a specific event, or an entire event series.
Use the sObject Rows resource to delete event records. To delete a single occurrence in a series, specify the event ID and use the DELETE method of the resource to delete a record.
To delete all events in a series from a specific occurrence and onwards, specify the event ID and use the DELETE method of the resource to delete a record. When calling this method, IsRecurrence2 must be true and IsRecurrence2Exclusion must be false.
To delete an entire event series, specify the event ID of the first occurrence in the series and use the DELETE method of the resource to delete a record.
Example for deleting multiple events or all events from a series
1curl https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/Event/00Uxx0000000000/fromThisEventOnwards -H "Authorization: Bearer token" -X DELETEExample request body
1None neededExample response body after successfully deleting events
1{
2success: We’re deleting the selected events from the series. Wait for all events to be removed.
3}Deleting from an event onwards doesn’t support calls from events that:
If the event series originated outside of Salesforce and the event ID of the first occurrence is unavailable, you can’t delete all events in a series. Instead, delete events from a specific occurrence onwards.